import sys,uos,m5stack,os
def sd_card_main_start():
    print("sd card mounting...")
    m5stack.lcd.println("sd card mounting...")
    try:
        uos.sdconfig(uos.SDMODE_SPI, clk=18, mosi=23, miso=19, cs=4) 
        uos.mountsd()
    except:
        print("sdcard can't mount")
        m5stack.lcd.println("sdcard can't mount")
        return 1
    print("starting sdmain.py in sd card")
    m5stack.lcd.println("starting sdmain.py in sd card")
    sys.path.append("/sd")
    os.chdir("/sd")
    try:
        import sdmain
    except ImportError:
        print("can't found sdmain.py")
        m5stack.lcd.println("can't found sdmain.py")
        return 1
    return 0
if __name__ == '__main__':
    sd_card_main_start()